<div class="sample-results__input">
  <div class="top-header">
    <h1>{{ data.sampleID }}</h1>
    <h3>{{ data.wellName }}</h3>
    <span class="note" *ngIf="isChangeValue()"> <i class="symbol"></i> Last changed values </span>
    <button mat-button color="primary" class="btn-edit" [routerLink]="['/electric/sample/edit', data.id]">
      Edit Inputs
    </button>
  </div>
  <!-- end /top-header -->
  <div class="bottom-body">
    <div class="section-one">
      <div class="section-one__leftside">
        <h1 class="main-title">Sample Properties</h1>
        <ul class="main-table">
          <li class="li-row">
            <span class="name">Sample number</span>
            <div class="parameter">
              <span [ngClass]="{ isChanged: isChangeField('inputs.sampleProperties.sampleNumber') }" class="value">{{
                data.inputs.sampleProperties.sampleNumber
              }}</span>
              <span class="unit">#</span>
            </div>
          </li>
          <li class="li-row">
            <span class="name">Proposity</span>
            <div class="parameter">
              <span [ngClass]="{ isChanged: isChangeField('inputs.sampleProperties.proposity') }" class="value">{{
                data.inputs.sampleProperties.proposity | number: '1.3-3'
              }}</span>
              <span class="unit">fraction</span>
            </div>
          </li>
          <li class="li-row">
            <span class="name">Air Permeability</span>
            <div class="parameter">
              <span [ngClass]="{ isChanged: isChangeField('inputs.sampleProperties.airPermeability') }" class="value">{{
                data.inputs.sampleProperties.airPermeability
              }}</span>
              <span class="unit">md</span>
            </div>
          </li>
          <li class="li-row">
            <span class="name">Grain Density</span>
            <div class="parameter">
              <span [ngClass]="{ isChanged: isChangeField('inputs.sampleProperties.grainDensity') }" class="value">{{
                data.inputs.sampleProperties.grainDensity | number: '1.2-2'
              }}</span>
              <span class="unit">gm/cc</span>
            </div>
          </li>
          <li class="li-row">
            <span class="name">Saturation</span>
            <div class="parameter">
              <span [ngClass]="{ isChanged: isChangeField('inputs.sampleProperties.saturation') }" class="value">{{
                data.inputs.sampleProperties.saturation | number: '1.3-3'
              }}</span>
              <span class="unit">ppm</span>
            </div>
          </li>
          <li class="li-row">
            <span class="name">Confining stress</span>
            <div class="parameter">
              <span [ngClass]="{ isChanged: isChangeField('inputs.sampleProperties.confiningStress') }" class="value">{{
                data.inputs.sampleProperties.confiningStress | number
              }}</span>
              <span class="unit">psi</span>
            </div>
          </li>
          <li class="li-row">
            <span class="name">Saturant Resistivity @ 25 °C</span>
            <div class="parameter">
              <span
                [ngClass]="{ isChanged: isChangeField('inputs.sampleProperties.saturantResistivity') }"
                class="value"
                >{{ data.inputs.sampleProperties.saturantResistivity | number: '1.3-3' }}</span
              >
              <span class="unit">ohm-m</span>
            </div>
          </li>
          <li class="li-row">
            <span class="name">Intercept-Y </span>
            <div class="parameter">
              <span [ngClass]="{ isChanged: isChangeField('inputs.sampleProperties.interceptY') }" class="value">{{
                data.inputs.sampleProperties.interceptY | number: '1.2-2'
              }}</span>
              <span class="unit">a</span>
            </div>
          </li>
          <li class="li-row">
            <span class="name">Res Rw</span>
            <div class="parameter">
              <span [ngClass]="{ isChanged: isChangeField('inputs.sampleProperties.resRw') }" class="value">{{
                data.inputs.sampleProperties.resRw | number: '1.2-2'
              }}</span>
              <span class="unit">ohm m</span>
            </div>
          </li>
          <li class="li-row">
            <span class="name">Res Temp</span>
            <div class="parameter">
              <span [ngClass]="{ isChanged: isChangeField('inputs.sampleProperties.resTemp') }" class="value">{{
                data.inputs.sampleProperties.resTemp
              }}</span>
              <span class="unit">C</span>
            </div>
          </li>
        </ul>
      </div>
      <!-- end /leftside -->
    </div>
    <!-- end /section-one -->
    <div class="section-two">
      <div class="section-two__leftside">
        <div class="content">
          <h1 class="main-title">Formation Factor</h1>
          <ul class="rows">
            <li class="li-row">
              <span class="name">F</span>
              <span [ngClass]="{ isChanged: isChangeField('inputs.formationFator.f') }" class="value">{{
                data.inputs.formationFator.f | number: '1.2-2'
              }}</span>
            </li>
            <li class="li-row">
              <span class="name">F*</span>
              <span [ngClass]="{ isChanged: isChangeField('inputs.formationFator.fIndex') }" class="value">{{
                data.inputs.formationFator.fIndex | number: '1.2-2'
              }}</span>
            </li>
          </ul>
        </div>
        <div class="content last">
          <h1 class="main-title">Porosity Exponent</h1>
          <ul class="rows">
            <li class="li-row">
              <span class="name">m</span>
              <span [ngClass]="{ isChanged: isChangeField('inputs.porosityExponent.m') }" class="value">{{
                data.inputs.porosityExponent.m | number: '1.2-2'
              }}</span>
            </li>
            <li class="li-row">
              <span class="name">m*</span>
              <span [ngClass]="{ isChanged: isChangeField('inputs.porosityExponent.mIndex') }" class="value">{{
                data.inputs.porosityExponent.mIndex | number: '1.2-2'
              }}</span>
            </li>
          </ul>
        </div>
      </div>
      <div class="section-two__leftside rightside">
        <div class="content">
          <h1 class="main-title">Lab values</h1>
          <ul class="rows">
            <li class="li-row">
              <span class="name">Lab rw</span>
              <span [ngClass]="{ isChanged: isChangeField('inputs.labValues.labRw') }" class="value">{{
                data.inputs.labValues.labRw | number: '1.3-3'
              }}</span>
            </li>
            <li class="li-row">
              <span class="name">Lab temp</span>
              <span [ngClass]="{ isChanged: isChangeField('inputs.labValues.labTemp') }" class="value">{{
                data.inputs.labValues.labTemp
              }}</span>
            </li>
          </ul>
        </div>
        <div class="content last">
          <h1 class="main-title">Saturation Exponent</h1>
          <ul class="rows">
            <li class="li-row">
              <span class="name">n</span>
              <span [ngClass]="{ isChanged: isChangeField('inputs.saturationExponent.n') }" class="value">{{
                data.inputs.saturationExponent.n | number: '1.2-2'
              }}</span>
            </li>
            <li class="li-row">
              <span class="name">n*</span>
              <span [ngClass]="{ isChanged: isChangeField('inputs.saturationExponent.nIndex') }" class="value">{{
                data.inputs.saturationExponent.nIndex | number: '1.2-2'
              }}</span>
            </li>
            <li class="li-row">
              <span class="name">Qv, eq/L</span>
              <span [ngClass]="{ isChanged: isChangeField('inputs.saturationExponent.qv') }" class="value">{{
                data.inputs.saturationExponent.qv | number: '1.3-3'
              }}</span>
            </li>
          </ul>
        </div>
      </div>
    </div>
    <!-- end /section-two -->
    <div class="section-three">
      <h1>Resistivity Index measurements</h1>
      <div class="main-table">
        <div class="main-table__title">
          <span class="black-title">Brine Saturation</span>
          <span class="gray-title">Resistivity Index</span>
        </div>
        <div class="main-table__subtitle">
          <span class="black-title">Fraction Vp</span>
          <span class="gray-title">RI, apparent</span>
          <span class="gray-title">RI*, corrected</span>
        </div>
        <div class="main-table__content">
          <ul class="rows">
            <li class="li-row" *ngFor="let item of data.inputs.resistivityIndex; let i = index">
              <span
                [ngClass]="{ isChanged: isChangeField('inputs.resistivityIndex[' + i + '].fractionVp') }"
                class="col-one"
                >{{ item.fractionVp | number: '1.3-3' }}</span
              >
              <span
                [ngClass]="{ isChanged: isChangeField('inputs.resistivityIndex[' + i + '].riApparent') }"
                class="col-two"
                >{{ item.riApparent | number: '1.2-2' }}</span
              >
              <span
                [ngClass]="{ isChanged: isChangeField('inputs.resistivityIndex[' + i + '].riIndexApparent') }"
                class="col-three"
                >{{ item.riIndexApparent | number: '1.2-2' }}</span
              >
            </li>
          </ul>
        </div>
      </div>
    </div>
    <!-- end /section-three -->
  </div>
  <!-- end /bottom-body -->
</div>
<!-- end / #input -->
